"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const staticCache = require("koa-static-cache");
const fs = require("fs");
const util = require("util");
const readFile = util.promisify(fs.readFile);
class ChromeDevtools {
    constructor(app) {
        this.app = app;
    }
    setup() {
        this.app.router.get('/chrome-devtools/InspectorBackendCommands.js', (ctx) => __awaiter(this, void 0, void 0, function* () {
            ctx.type = 'application/javascript';
            ctx.body = yield readFile(path_1.join(__dirname, '../../resource/chrome-devtools/InspectorBackendCommands.js'));
        }));
        this.app.router.get('/chrome-devtools/SupportedCSSProperties.js', (ctx) => __awaiter(this, void 0, void 0, function* () {
            ctx.type = 'application/javascript';
            ctx.body = yield readFile(path_1.join(__dirname, '../../resource/chrome-devtools/SupportedCSSProperties.js'));
        }));
        this.app.use(staticCache({
            dir: path_1.dirname(require.resolve('chrome-devtools-frontend/front_end/inspector.html')),
            prefix: '/chrome-devtools'
        }));
    }
}
exports.ChromeDevtools = ChromeDevtools;
//# sourceMappingURL=ChromeDevtools.js.map